## kf6-threadweaver 6.19.0

=== autotests/CMakeLists.txt ===
find_package(Qt6Test ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
kde_enable_exceptions()

include(ECMAddTests)

########### next target ###############

ecm_add_test(
    JobTests.cpp
    AppendCharacterAndVerifyJob.cpp
    WaitForIdleAndFinished.cpp
    JobLoggingWeaver.cpp
    JobLoggingDecorator.cpp
    TEST_NAME ThreadWeaverJobTests LINK_LIBRARIES Qt6::Test KF6::ThreadWeaver
)
set_target_properties(ThreadWeaverJobTests PROPERTIES MACOSX_BUNDLE FALSE)

########### next target ###############

ecm_add_test(SequencesTests.cpp WaitForIdleAndFinished.cpp TEST_NAME ThreadWeaverSequencesTests LINK_LIBRARIES Qt6::Test KF6::ThreadWeaver)
set_target_properties(ThreadWeaverSequencesTests PROPERTIES MACOSX_BUNDLE FALSE)

########### next target ###############

ecm_add_test(QueueTests.cpp TEST_NAME ThreadWeaverQueueTests LINK_LIBRARIES Qt6::Test KF6::ThreadWeaver)
set_target_properties(ThreadWeaverQueueTests PROPERTIES MACOSX_BUNDLE FALSE)

########### next target ###############

ecm_add_test(DeleteTest.cpp TEST_NAME ThreadWeaverDeleteTest LINK_LIBRARIES Qt6::Test KF6::ThreadWeaver)
set_target_properties(ThreadWeaverDeleteTest PROPERTIES MACOSX_BUNDLE FALSE)

########### next target ###############

ecm_add_test(LifecycleTests.cpp TEST_NAME ThreadWeaverLifecycleTest LINK_LIBRARIES Qt6::Test KF6::ThreadWeaver)
set_target_properties(ThreadWeaverLifecycleTest PROPERTIES MACOSX_BUNDLE FALSE)

########### next target ###############

ecm_add_test(ShutdownOnQApplicationQuitTests.cpp TEST_NAME ThreadWeaverShutdownOnQApplicationQuitTest LINK_LIBRARIES Qt6::Test KF6::ThreadWeaver)
set_target_properties(ThreadWeaverShutdownOnQApplicationQuitTest PROPERTIES MACOSX_BUNDLE FALSE)

########### next target ###############

ecm_add_test(QueueFactoryTests.cpp TEST_NAME ThreadWeaverQueueFactoryTest LINK_LIBRARIES Qt6::Test KF6::ThreadWeaver)
Set_target_properties(ThreadWeaverQueueFactoryTest PROPERTIES MACOSX_BUNDLE FALSE)

=== src/CMakeLists.txt ===
add_library(KF6ThreadWeaver)
add_library(KF6::ThreadWeaver ALIAS KF6ThreadWeaver)

set_target_properties(KF6ThreadWeaver PROPERTIES
    VERSION     ${THREADWEAVER_VERSION}
    SOVERSION   ${THREADWEAVER_SOVERSION}
    EXPORT_NAME ThreadWeaver
)

target_sources(KF6ThreadWeaver PRIVATE
    collection.cpp
    collection.h
    collection_p.cpp
    collection_p.h
    debuggingaids.cpp
    debuggingaids.h
    dependency.cpp
    dependency.h
    dependencypolicy.cpp
    dependencypolicy.h
    destructedstate.cpp
    destructedstate.h
    exception.cpp
    exception.h
    executewrapper.cpp
    executewrapper_p.h
    executor.cpp
    executor_p.h
    iddecorator.cpp
    iddecorator.h
    inconstructionstate.cpp
    inconstructionstate.h
    job.cpp
    job.h
    jobinterface.h
    job_p.cpp
    job_p.h
    jobpointer.h
    lambda.h
    managedjobpointer.h
    qobjectdecorator.cpp
    qobjectdecorator.h
    queueapi.cpp
    queueapi.h
    queue.cpp
    queue.h
    queueing.h
    queueinterface.h
    queuepolicy.h
    queuesignals.cpp
    queuesignals.h
    queuesignals_p.cpp
    queuesignals_p.h
    queuestream.cpp
    queuestream.h
    resourcerestrictionpolicy.cpp
    resourcerestrictionpolicy.h
    sequence.cpp
    sequence.h
    sequence_p.cpp
    sequence_p.h
    shuttingdownstate.cpp
    shuttingdownstate.h
    state.cpp
    state.h
    suspendedstate.cpp
    suspendedstate.h
    suspendingstate.cpp
    suspendingstate.h
    thread.cpp
    thread.h
    threadweaver.cpp
    threadweaver.h
    weaver.cpp
    weaver.h
    weaverimplstate.cpp
    weaverimplstate.h
    weaverinterface.h
    weaver_p.cpp
    weaver_p.h
    workinghardstate.cpp
    workinghardstate.h

)

ecm_generate_export_header(KF6ThreadWeaver
    BASE_NAME ThreadWeaver
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF6ThreadWeaver PUBLIC Qt6::Core)
target_include_directories(KF6ThreadWeaver PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_include_directories(KF6ThreadWeaver INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/ThreadWeaver>")
#FIXME: make this PUBLIC, so that it applies to anything that links against
kde_target_enable_exceptions(KF6ThreadWeaver PRIVATE)

ecm_generate_qdoc(KF6ThreadWeaver threadweaver.qdocconf)

install(TARGETS KF6ThreadWeaver EXPORT KF6ThreadWeaverTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(ThreadWeaver_CamelCase_HEADERS
  HEADER_NAMES
    ThreadWeaver
    Weaver
    WeaverInterface
    QueueAPI
    QueueStream
    Queueing
    Exception
    QueueInterface
    Queue
    DebuggingAids
    Thread
    JobInterface
    Job
    IdDecorator
    QObjectDecorator
    Lambda
    State
    WeaverImplState
    InConstructionState
    WorkingHardState
    SuspendingState
    SuspendedState
    ShuttingDownState
    DestructedState
    Collection
    Sequence
    Dependency
    DependencyPolicy
    ResourceRestrictionPolicy
    QueueSignals
    QueuePolicy
    JobPointer
    ManagedJobPointer

    PREFIX ThreadWeaver
    REQUIRED_HEADERS ThreadWeaver_HEADERS
)
install(FILES ${ThreadWeaver_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ThreadWeaver/ThreadWeaver COMPONENT Devel)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/threadweaver_export.h
    ${ThreadWeaver_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ThreadWeaver/threadweaver COMPONENT Devel
)

=== debian/changelog ===
kf6-threadweaver (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:09:15 +0100

=== debian/control ===
Source: kf6-threadweaver
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/threadweaver
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
Rules-Requires-Root: no

Package: libkf6threadweaver-dev
Section: libdevel
Architecture: any
Depends: libkf6threadweaver6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6threadweaver-doc (= ${source:Version}),
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6threadweaver-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6threadweaver6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/threadweaver-(.*)\.tar\.xz

## kf6-threadweaver 6.19.0+p24.04+vstable+git20251019.0059

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.20.0") # handled by release scripts
project(ThreadWeaver VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(threadweaver_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/threadweaver_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX THREADWEAVER
                        VERSION_HEADER "${threadweaver_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ThreadWeaverConfigVersion.cmake"
                        SOVERSION 6)
# --
ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(benchmarks)
endif()
add_subdirectory(examples)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6ThreadWeaver")

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6ThreadWeaverConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6ThreadWeaverConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES ${threadweaver_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ThreadWeaver COMPONENT Devel)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ThreadWeaverConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ThreadWeaverConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6ThreadWeaverTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6ThreadWeaverTargets.cmake NAMESPACE KF6:: )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vstable+git20251019.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:59:06 +0000

kf6-threadweaver (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:18:44 +0000

## kf6-threadweaver 6.19.0+p24.04+vstable+git20251023.0058

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vstable+git20251023.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:58:21 +0000

=== debian/control ===
Source: kf6-threadweaver
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/threadweaver
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-threadweaver.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-threadweaver
Maintainer: Neon CI <neon@kde.org>

Package: kf6-threadweaver
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6threadweaver6
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.

Package: kf6-threadweaver-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-threadweaver (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6threadweaver-dev, libkf6threadweaver-doc
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6threadweaver6
Architecture: all
Depends: kf6-threadweaver, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6threadweaver-dev
Architecture: all
Depends: kf6-threadweaver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6threadweaver-doc
Architecture: all
Depends: kf6-threadweaver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-threadweaver 6.19.0+p24.04+vunstable+git20251008.1153

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 include(ECMDeprecationSettings)
 include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vunstable+git20251008.1153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:53:40 +0000

## kf6-threadweaver 6.19.0+p24.04+vunstable+git20251020.0206

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vunstable+git20251020.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:06:20 +0000

## kf6-threadweaver 6.19.0+p24.04+vunstable+git20251021.0333

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vunstable+git20251021.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:33:08 +0000

## kf6-threadweaver 6.19.0+p24.04+vunstable+git20251111.0336

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vunstable+git20251111.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:36:33 +0000

## kf6-threadweaver 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -21,7 +21,7 @@
 include(ECMDeprecationSettings)
 include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

=== debian/changelog ===
kf6-threadweaver (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:24:13 +0100

=== debian/control ===
Source: kf6-threadweaver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/threadweaver
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver.git
Rules-Requires-Root: no

Package: libkf6threadweaver-dev
Section: libdevel
Architecture: any
Depends: libkf6threadweaver6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6threadweaver-doc (= ${source:Version}),
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6threadweaver-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6threadweaver6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.

## kf6-threadweaver 6.20.0+p24.04+vunstable+git20251122.0537

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-threadweaver (6.20.0+p24.04+vunstable+git20251122.0537-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 05:37:08 +0000

kf6-threadweaver (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:46 +1000

## kf6-threadweaver 6.21.0

=== debian/changelog ===
kf6-threadweaver (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:54:49 +0000

kf6-threadweaver (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:17:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-threadweaver
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,21 +10,21 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/threadweaver
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
 Rules-Requires-Root: no
 
 Package: libkf6threadweaver-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6threadweaver6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6threadweaver-doc (= ${source:Version}),
 Description: ThreadWeaver library to help multithreaded programming in Qt
@@ -56,8 +57,7 @@
 Package: libkf6threadweaver6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## kf6-threadweaver 6.21.0+p24.04+vstable+git20251224.0621

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -33,7 +33,7 @@
                         SOVERSION 6)
 # --
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 add_subdirectory(src)
 if (BUILD_TESTING)

## kf6-threadweaver 6.21.0+p24.04+vstable+git20260103.0156

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-threadweaver (6.21.0+p24.04+vstable+git20260103.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:56:54 +0000

kf6-threadweaver (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:09:56 +1000

## kf6-threadweaver 6.22.0

=== debian/changelog ===
kf6-threadweaver (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:34:20 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),

## kf6-threadweaver 6.22.0+p24.04+vstable+git20260116.0257

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-threadweaver (6.22.0+p24.04+vstable+git20260116.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:57:20 +0000

kf6-threadweaver (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:40:50 +1000

## kf6-threadweaver 6.22.0+p24.04+vstable+git20260126.0709

=== debian/changelog ===
kf6-threadweaver (6.22.0+p24.04+vstable+git20260126.0709-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:09:54 +0000

## kf6-threadweaver 6.22.0+p24.04+vunstable+git20260111.0149

=== debian/changelog ===
kf6-threadweaver (6.22.0+p24.04+vunstable+git20260111.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:49:13 +0000

## kf6-threadweaver 6.22.0+p24.04+vunstable+git20260129.0228

=== debian/changelog ===
kf6-threadweaver (6.22.0+p24.04+vunstable+git20260129.0228-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:28:32 +0000

## kf6-threadweaver 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-threadweaver (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,27 @@
 Source: kf6-threadweaver
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/threadweaver
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver.git
 
 Package: libkf6threadweaver-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6threadweaver6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6threadweaver-doc (= ${source:Version}),
 Description: ThreadWeaver library to help multithreaded programming in Qt
@@ -57,7 +54,8 @@
 Package: libkf6threadweaver6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply
